SimpleRFIDEntity

com.rscja.deviceapi.entity

## Class SimpleRFIDEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.SimpleRFIDEntity

- Direct Known Subclasses:
    ISO15693Entity

      public class SimpleRFIDEntity
      extends java.lang.Object

  RFID简单数据实体
  RFID simple data entity
  Author:
    liuruifeng

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRFIDEntity(java.lang.String id, java.lang.String type)` 构造函数 create formula
    `SimpleRFIDEntity(java.lang.String id, java.lang.String type, byte[] id_buff)` 构造函数 create formula

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()` 获取标签数据 acquire tag data
    `java.lang.String` | `getId()` 获取标签ID acquire tag ID
    `byte[]` | `getIdBytes()` 获取标签ID acquire tag ID
    `java.lang.String` | `getType()` 获取标签类型 acquire tag type
    `void` | `setData(java.lang.String data)` 设置标签数据 setup tag data
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRFIDEntity

          public SimpleRFIDEntity(java.lang.String id,
                                  java.lang.String type)

      构造函数
      create formula
      Parameters:
        `id` - 标签ID
        tag ID
        `type` - 标签类型
        tag type

    - #### SimpleRFIDEntity

          public SimpleRFIDEntity(java.lang.String id,
                                  java.lang.String type,
                                  byte[] id_buff)

      构造函数
      create formula
      Parameters:
        `id` - 标签ID
        tag ID
        `type` - 标签类型
        tag type
        `id_buff` -

  - ### Method Detail

    - #### getIdBytes

          public byte[] getIdBytes()

      获取标签ID
      acquire tag ID
      Returns:
        标签ID

    - #### getId

          public java.lang.String getId()

      获取标签ID
      acquire tag ID
      Returns:
        标签ID

    - #### getType

          public java.lang.String getType()

      获取标签类型
      acquire tag type
      Returns:
        标签类型

    - #### getData

          public java.lang.String getData()

      获取标签数据
      acquire tag data
      Returns:
        标签数据

    - #### setData

          public void setData(java.lang.String data)

      设置标签数据
      setup tag data
      Parameters:
        `data` - 标签数据
        tag data

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`